> ## Documentation Index
> Fetch the complete documentation index at: https://docs.realie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Property Data Schema

> Property API response fields

Explore the complete set of fields returned by the Realie Property API. Each field includes a name, type, and a brief explanation of its contents, helping you interpret and utilize the data effectively.

<AccordionGroup>
  <Accordion title="Address & Parcel Data">
    <ResponseField name="parcelId" type="string">
      Assessor's Parcel Number. Example: "R-3726-00C-0100-1"
    </ResponseField>

    <ResponseField name="address" type="string">
      Street number and street name. Example: "1234 JOHN ST"
    </ResponseField>

    <ResponseField name="addressFull" type="string">
      Full Address. Example: "1234 JOHN ST, PLANO, TX 75093"
    </ResponseField>

    <ResponseField name="street" type="string">
      Street name and streety type. Example: "JOHN ST"
    </ResponseField>

    <ResponseField name="streetType" type="string">
      Street type abbreviation. Example: "RD"
    </ResponseField>

    <ResponseField name="streetNumber" type="string">
      Street Number. Example: "1234"
    </ResponseField>

    <ResponseField name="unitNumber" type="string">
      Unit Number. Example: "APT 2B"
    </ResponseField>

    <ResponseField name="unitNumberStripped" type="string">
      Unit Number. Example: "2B"
    </ResponseField>

    <ResponseField name="addressUnit" type="string">
      The address with a unit at the end. Example: "1234 JOHN ST APT 2B"
    </ResponseField>

    <ResponseField name="county" type="string">
      County the parcel is located in. Example: "COLLIN"
    </ResponseField>

    <ResponseField name="city" type="string">
      City. Example: "PLANO"
    </ResponseField>

    <ResponseField name="zipCode" type="string">
      Zip Code. Example: "75093"
    </ResponseField>

    <ResponseField name="state" type="string">
      State. Example: "TX"
    </ResponseField>
  </Accordion>

  <Accordion title="Physical Characteristics Data">
    <ResponseField name="buildingArea" type="float">
      Building Area. Example: 5882
    </ResponseField>

    <ResponseField name="basementType" type="string">
      Basement Type. Example: "I"
    </ResponseField>

    <ResponseField name="wallType" type="string">
      Wall Type. Example: "D"
    </ResponseField>

    <ResponseField name="fireplaceCount" type="integer">
      Fireplace Count. Example: 2
    </ResponseField>

    <ResponseField name="fireplace" type="boolean">
      Identifying if the property has a fireplace. Example: true
    </ResponseField>

    <ResponseField name="floorType" type="string">
      Floor Type. Example: "P"
    </ResponseField>

    <ResponseField name="foundationType" type="string">
      Foundation Type. Example: "S"
    </ResponseField>

    <ResponseField name="garageCount" type="integer">
      Garage Count. Example: 2
    </ResponseField>

    <ResponseField name="garage" type="boolean">
      Identifying if the property has a garage. Example: true
    </ResponseField>

    <ResponseField name="garageType" type="string">
      Garage Type. Example: "C"
    </ResponseField>

    <ResponseField name="buildingCount" type="integer">
      Building Count. Example: 1
    </ResponseField>

    <ResponseField name="stories" type="float">
      Stories. Example: 2
    </ResponseField>

    <ResponseField name="totalBathrooms" type="float">
      Total Bathrooms. Example: 3.5
    </ResponseField>

    <ResponseField name="totalBedrooms" type="integer">
      Total Bedrooms. Example: 5
    </ResponseField>

    <ResponseField name="pool" type="boolean">
      Identifying if property has a pool. Example: true
    </ResponseField>

    <ResponseField name="poolCode" type="string">
      Pool type code. Example: "553"
    </ResponseField>

    <ResponseField name="roofType" type="string">
      Roof Type. Example: "P"
    </ResponseField>

    <ResponseField name="roofStyle" type="string">
      Roof Style. Example: "A"
    </ResponseField>

    <ResponseField name="constructionType" type="string">
      Construction Type. Example: "F"
    </ResponseField>

    <ResponseField name="yearBuilt" type="integer">
      Year Built. Example: 1998
    </ResponseField>

    <ResponseField name="residential" type="boolean">
      Identifying if the property is residential. Example: true
    </ResponseField>
  </Accordion>

  <Accordion title="Ownership Data">
    <ResponseField name="ownerName" type="string">
      Property owner's name. Example: "JOHN DOE; JANE DOE"
    </ResponseField>

    <ResponseField name="ownerAddressLine1" type="string">
      Owner Address Line 1. Example: "4567 JOHN DR"
    </ResponseField>

    <ResponseField name="ownerCity" type="string">
      Owner City. Example: "PLANO"
    </ResponseField>

    <ResponseField name="ownerState" type="string">
      Owner State. Example: "TX"
    </ResponseField>

    <ResponseField name="ownerZipCode" type="string">
      Owner Zip Code. Example: "75093-4351"
    </ResponseField>

    <ResponseField name="ownerResCount" type="integer">
      Owner Residential Count. Example: 1
    </ResponseField>

    <ResponseField name="ownerComCount" type="integer">
      Owner Commercial Count. Example: 0
    </ResponseField>

    <ResponseField name="ownerOriginCode" type="string">
      Owner Origin Code. Example: "3"
    </ResponseField>

    <ResponseField name="ownerParcelCount" type="integer">
      Owner Parcel Count. Example: 1
    </ResponseField>
  </Accordion>

  <Accordion title="Land Details & Zoning Data">
    <ResponseField name="legalDesc" type="string">
      Legal Description. Example: "CITY/MUNI/TWP:PLANO CITY WILLOW BEND POLO ESTATES PHASE G (CPL), BLK C, LOT 10"
    </ResponseField>

    <ResponseField name="subdivision" type="string">
      Subdivision. Example: "WILLOW BEND POLO ESTATES PHASE G (CPL)"
    </ResponseField>

    <ResponseField name="zoningCode" type="string">
      Zoning Code. Example: "RD-5"
    </ResponseField>

    <ResponseField name="secTwnRng" type="string">
      Section, Township, Range. Example: "Township 3 North, Range 9 West, 5th Principal Meridian"
    </ResponseField>

    <ResponseField name="blockNum" type="string">
      Block Number. Example: "C"
    </ResponseField>

    <ResponseField name="lotNum" type="string">
      Lot Number. Example: "10"
    </ResponseField>

    <ResponseField name="jurisdiction" type="string">
      Jurisdiction. Example: "PLANO CITY"
    </ResponseField>

    <ResponseField name="districtNum" type="string">
      District Number. Example: "CPL"
    </ResponseField>

    <ResponseField name="citySection" type="string">
      City Section. Example: "Section 3"
    </ResponseField>

    <ResponseField name="landLot" type="string">
      Land Lot. Example: "Lot 5"
    </ResponseField>

    <ResponseField name="lotCode" type="string">
      Lot Code. Example: "P"
    </ResponseField>

    <ResponseField name="phaseNum" type="string">
      Phase Number. Example: "1"
    </ResponseField>

    <ResponseField name="tractNum" type="string">
      Tract Number. Example: "1003"
    </ResponseField>

    <ResponseField name="acres" type="float">
      Acres. Example: 0.32
    </ResponseField>

    <ResponseField name="depthSize" type="float">
      Depth Size. Example: 150
    </ResponseField>

    <ResponseField name="frontage" type="float">
      Frontage. Example: 100
    </ResponseField>

    <ResponseField name="landArea" type="float">
      Land Area. Example: 14096
    </ResponseField>
  </Accordion>

  <Accordion title="Automated Valuation Model (AVM) & Tax Data">
    <ResponseField name="totalAssessedValue" type="float">
      Most recent total assessed value. Example: 1669610
    </ResponseField>

    <ResponseField name="assessedYear" type="integer">
      Most recent assessed year. Example: 2024
    </ResponseField>

    <ResponseField name="taxValue" type="float">
      Most recent property tax amount. Example: 17642.22
    </ResponseField>

    <ResponseField name="taxYear" type="integer">
      Most recent property tax year. Example: 2024
    </ResponseField>

    <ResponseField name="totalBuildingValue" type="float">
      Most recent assessed total building value. Example: 400110
    </ResponseField>

    <ResponseField name="totalLandValue" type="float">
      Most recent assessed land vaulue. Example: 269500
    </ResponseField>

    <ResponseField name="totalMarketValue" type="float">
      Most recent assessed market value. Example: 1669610
    </ResponseField>

    <ResponseField name="marketValueYear" type="integer">
      Most recent assessed market value year. Example: 2024
    </ResponseField>

    <ResponseField name="taxRateCodeArea" type="string">
      Tax Rate Code Area. Example: "GCN"
    </ResponseField>

    <ResponseField name="useCode" type="string">
      Parcel's Use Code. Example: "1001"
    </ResponseField>

    <ResponseField name="modelValue" type="float">
      Model Value. Example: 1739895
    </ResponseField>

    <ResponseField name="modelValueMin" type="float">
      Model Value Minimum. Example: 1496309
    </ResponseField>

    <ResponseField name="modelValueMax" type="float">
      Model Value Maximum. Example: 1983480
    </ResponseField>

    <ResponseField name="assessments" type="array">
      Array of assessment information from previos years.

      ```json example theme={null}
       "assessments": [
             {
                 "assessedYear": 2023,
                 "totalAssessedValue": 3072135,
                 "totalBuildingValue": 2572135,
                 "totalLandValue": 500000,
                 "totalMarketValue": 4072135,
                 "marketValueYear": 2023,
                 "taxValue": 34435.7,
                 "taxYear": 2023
             }
      ]
      ```
    </ResponseField>
  </Accordion>

  <Accordion title="Transfer & Recording Data">
    <ResponseField name="recordingDate" type="string">
      Recording Date (YYYYMMDD Format). Example: "2024-01-10"
    </ResponseField>

    <ResponseField name="transferDate" type="string">
      Transfer Date (YYYYMMDD Format). Example: "2024-01-10"
    </ResponseField>

    <ResponseField name="transferDateObject" type="date">
      Transfer date in ISO 8601 format. Example: "2024-04-30T00:00:00.000Z"
    </ResponseField>

    <ResponseField name="transferPrice" type="float">
      Transfer Price. Example: 0
    </ResponseField>

    <ResponseField name="buyerIDCode" type="string">
      Who the buyers are to each other (their personal relationship), for reporting / tax eligibility purposes. Example: "SM"
    </ResponseField>

    <ResponseField name="bookNum" type="string">
      The volume identifier assigned by the county recorder that indicates which official record book a real estate transaction document (such as a deed) is stored in.
    </ResponseField>

    <ResponseField name="pageNum" type="string">
      The specific page within that book where the recorded real estate transaction document begins.
    </ResponseField>

    <ResponseField name="buyerVestingCode" type="string">
      How the buyers legally hold title to the property. Example: "AV"
    </ResponseField>

    <ResponseField name="ownershipStartDate" type="string">
      Date current owner took possession of the property. Example: "20230505"
    </ResponseField>

    <ResponseField name="transferDocType" type="string">
      The document type that transfers property ownership from a grantor to a grantee. Example: "WD" (WARRANTY DEED)
    </ResponseField>

    <ResponseField name="transferDocNum" type="string">
      Reference number for the transfer document. Example: "2023R0119502"
    </ResponseField>

    <ResponseField name="transfers" type="array">
      Array of past transfer information.

      ```json example theme={null}
      "transfers": [
      {
                "transferDate": "20160427",
                "transferDateObject": "2016-04-27T00:00:00.000Z",
                "transferPrice": 2700000,
                "grantee": "SMITH, JOHN",
                "grantor": "JEAN, BILL",
                "recordingDate": "20160505"
      }
      ]
      ```
    </ResponseField>
  </Accordion>

  <Accordion title="Mortgage & Lien Data">
    <ResponseField name="totalLienCount" type="integer">
      Total Lien Count. Example: 1
    </ResponseField>

    <ResponseField name="totalLienBalance" type="float">
      Total Lien Balance. Example: 453664
    </ResponseField>

    <ResponseField name="totalFinancingHistCount" type="integer">
      Total Financing History Count. Example: 5
    </ResponseField>

    <ResponseField name="LTVCurrentEstCombined" type="float">
      Loan-to-Value Current Estimate. Example: 26.0742
    </ResponseField>

    <ResponseField name="LTVCurrentEstRange" type="float">
      Loan-to-Value Current Estimate Range. Example: 1
    </ResponseField>

    <ResponseField name="equityCurrentEstBal" type="float">
      Equity Current Estimate Balance. Example: 1286231
    </ResponseField>

    <ResponseField name="equityCurrentEstRange" type="float">
      Equity Current Estimate Range. Example: 22
    </ResponseField>

    <ResponseField name="LTVPurchase" type="float">
      Loan-to-Value Purchase. Example: 80
    </ResponseField>

    <ResponseField name="lenderName" type="string">
      Lender Name. Example: "FIRST NATIONAL BANK"
    </ResponseField>

    <ResponseField name="forecloseCode" type="string">
      Foreclosure Code. Example: "0111"
    </ResponseField>

    <ResponseField name="forecloseRecordDate" type="string">
      Foreclosure Record Date (YYYYMMDD Format). Example: "2024-01-10"
    </ResponseField>

    <ResponseField name="forecloseFileDate" type="string">
      Foreclosure File Date (YYYYMMDD Format). Example: "2024-01-10"
    </ResponseField>

    <ResponseField name="forecloseCaseNum" type="string">
      Foreclosure Case Number. Example: "722324"
    </ResponseField>

    <ResponseField name="auctionDate" type="string">
      Auction Date (YYYYMMDD Format). Example: "2024-01-10"
    </ResponseField>
  </Accordion>

  <Accordion title="Location Data">
    <ResponseField name="fipsState" type="string">
      FIPS State Code. Example: "48"
    </ResponseField>

    <ResponseField name="fipsCounty" type="string">
      FIPS County Code. Example: "085"
    </ResponseField>

    <ResponseField name="siteCensusTract" type="string">
      Site Census Tract. Example: "480850316.682028"
    </ResponseField>

    <ResponseField name="neighborhood" type="string">
      Neighborhood. Example: "CENTRAL PLANO"
    </ResponseField>

    <ResponseField name="longitude" type="float">
      Longitude. Example: -96.8229693260567
    </ResponseField>

    <ResponseField name="latitude" type="float">
      Latitude. Example: 33.03128999789361
    </ResponseField>

    <ResponseField name="siteId" type="string">
      Site ID. Example: "708040968"
    </ResponseField>

    <ResponseField name="location" type="geojson">
      Geojson point object.

      ```json example theme={null}
      "location": {
            "type": "Point",
            "coordinates": [
                -121.88081453613906,
                36.52594926758319
            ]
        }
      ```
    </ResponseField>

    <ResponseField name="geometry" type="geojson">
      Geojson MultiPolygon showing a property's parcel polygon

      ```json example theme={null}
      "geometry": {
      "type": "MultiPolygon",
      "coordinates": [
       [
         [
           [-88.0153597, 42.0000236],
           [-88.0153815, 42.0003284],
           [-88.0156542, 42.0003187],
           [-88.0156365, 42.0000141],
           [-88.0155919, 42.0000157],
           [-88.015467, 42.0000199],
           [-88.0153597, 42.0000236]
         ]
       ]
      ]
      }
      ```
    </ResponseField>
  </Accordion>
</AccordionGroup>
